
public class Circle extends Shape
{
	Circle(float x0, float y0, float radius)
	{
		r = radius;
		x = x0;
 		y = y0;
	}

	public float x, y, r;

	public void draw()
	{
		System.out.println("Circle: (" + x + "," + y + ") r: " + r);
	}

	public Rect boundingRect()
	{
		return new Rect(x - r, y - r, 2 * r, 2 * r);
	}

	public String type() 
	{
		return "Circle";
	}

	public void setRadius(float newRadius)
	{
		r = newRadius;
	}

}
