
public class Rect extends Shape
{
	Rect(float x0, float y0, float l1, float l2)
	{
		x = x0;
		y = y0;
		a = l1;
		b = l2;
	}

	public float x, y, a, b;

	public void draw()
	{
		System.out.println("Rect: (" + x + "," + y + ") " + a + "x" + b);
	}

	public Rect boundingRect()
	{
		return new Rect(x, y, a, b);
	}

	public 	boolean overlaps(Rect other)
	{
		return (x <= other.x && y <= other.y && x + a > other.x && y + b > other.y) ||
				  (other.x <= x && other.y <= y && other.x + other.a >= x && other.y + other.b > y);
	}

	public String type() 
	{
		return "Rect";
	}

	public void setRect(float x0, float y0, float l1, float l2)
	{
		x = x0;
		y = y0;
		a = l1;
		b = l2;
	}

}


